/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.dd;

import java.util.ArrayList;
import java.util.List;

/**
 * Represents an client-interceptors/bean element of the jboss.xml deployment descriptor for
 * the 4.0 schema
 *
 * @author <a href="mailto:bdecoste@jboss.com">William DeCoste</a>
 * @version <tt>$Revision: 1.1.2.2 $</tt>
 */
public class ClientBeanInterceptors
{
   private List<String> interceptors = new ArrayList();

   public List getInterceptors()
   {
      return interceptors;
   }

   public void addInterceptor(String interceptor)
   {
      interceptors.add(interceptor);
   }

   public String toString()
   {
      StringBuffer sb = new StringBuffer(100);
      sb.append("[");
      sb.append("interceptors=").append(interceptors);
      sb.append("]");
      return sb.toString();
   }
}
